-- Example frame to test libTableFormatter

local context =  UI.CreateContext("MyContext")

function ShowFrame()
    local myFrame = Frames:Create("Frame", "MyFrame", context)

    myFrame:SetWidth(100)
    myFrame:SetHeight(100)
    myFrame:SetPoint("TOPCENTER", UIParent, "TOPCENTER", 0, 100)

    myFrame.bg = Frames:Create("Frame", "BGFrame", myFrame)
    myFrame.bg:SetBackgroundColor(0, 0.2, 0.2 ,1)
    myFrame.bg:SetAllPoints(myFrame)

    myFrame:SetVisible(true)
    myFrame.bg:SetVisible(true)
    myFrame.bg:SetLayer(-1)

    local myTable = Table(3, myFrame)
    myTable:AddRow()
    myTable:AddRow()
    myTable:AddColumn()

    myTable:SetBackgroundColor(0.5, 0.5, 0.5, 1)

    local row = myTable:GetRow(1)
    row:SetBackgroundColor(0.75, 0.75, 0.75, 1)
    row = myTable:GetRow(2)
    row:SetHeight(40)

    local cell = myTable:GetCell(2,1)
    cell:SetText("Text")
    cell = myTable:GetCell(2,2)
    cell:SetTexture("Rift", "spiritofturtle2.dds", 10, 10)
    cell:SetAlignment("RIGHT", "TOP")
    --cell:SetHorizontalAlignment("RIGHT")
    --cell:SetBackgroundColor(1,1,1,1)
    myTable:ResizeColumnWidthsToParent()
    --myTable:ResizeColumnWidth(4, 100)
    --myTable:RemoveRow(1)
    --myTable:RemoveColumn(4)

    for rowIdx, row in ipairs(myTable.rows) do
        row = myTable:GetRow(rowIdx)
        for cellIdx, cell in ipairs(row.cells) do
            cell.frame:SetBackgroundColor(math.random(), math.random(), math.random(), 1)

            if cell.valueFrame then
                cell.valueFrame:SetBackgroundColor(math.random(), math.random(), math.random(), 1)
            end
        end
    end

    myTable:SetColumnPercentages({0.2, 0.2, 0.2, 0.4})

    myTable:RefreshLayout()

    myTable:ReportHeights()
end

table.insert(Command.Slash.Register("ltf"), {ShowFrame, "libTableFormatter", "Show my frames"})