function SimpleSK:CreateConfigWindow()
    local buttonWidth = 135
    local layer = self.base:GetLayer() + 100

    -- Create our dialog window
    self.baseConfigWindow = UI.CreateFrame("SimpleWindow", "SSK_BaseWindow", SimpleSK.context)

    -- We want the config window to appear above the normal window
    self.baseConfigWindow:SetLayer(layer)

    ---- Put the dialog in the middle of the screen
    --self.baseConfigWindow:SetPoint("CENTER", UIParent, "CENTER")

    -- Make the dialog window 3 buttons and some padding wide
    self.baseConfigWindow:SetWidth(buttonWidth*3 + 40)
    self.baseConfigWindow:SetHeight(551)

    -- Add a close button to the top right corner
    self.baseConfigWindow:SetCloseButtonVisible(true)

    -- Hide the window
    SimpleSK.baseConfigWindow:SetVisible(false)
end

function SimpleSK:CreateConfigFrame()
    local layer = self.baseConfigWindow:GetLayer() + 5
    self.configFrame = UI.CreateFrame('Frame', "SSK_ConfigFrame", self.baseConfigWindow)
    self.configFrame:SetAllPoints(self.baseConfigWindow)
    --self.configFrame:SetBackgroundColor(0,1,0,0.5)
    self.configFrame:SetLayer(layer)

    -- Create Close button
    self.configCloseButton = UI.CreateFrame("RiftButton", "SSK_ConfigCloseButton", self.configFrame)
    self.configCloseButton:SetPoint("BOTTOMRIGHT", self.configFrame, "BOTTOMRIGHT", -20, -20)
    self.configCloseButton:SetText("Close")
    function self.configCloseButton.Event:LeftPress()
        SimpleSK.configSelectedListName = nil
        SimpleSK.configFrame:SetVisible(false)
        SimpleSK.baseConfigWindow:SetVisible(false)
    end

    -- Create a frame to hold the table of options
    self.configTableFrame = UI.CreateFrame("Frame", "SSK_ConfigTableFrame", self.configFrame)
    self.configTableFrame:SetPoint("TOPLEFT", self.configFrame, "TOPLEFT", 50, 70)
    self.configTableFrame:SetPoint("BOTTOMRIGHT", self.configFrame, "CENTERRIGHT", -50, -100)
    --self.configTableFrame:SetBackgroundColor(1,0,0,0.5)

    -- Create a frame to hold the list management section
    self.configListFrame = UI.CreateFrame("Frame", "SSK_ConfigListFrame", self.configFrame)
    self.configListFrame:SetPoint("TOPLEFT", self.configFrame, "CENTERLEFT", 50, -50)
    self.configListFrame:SetPoint("BOTTOMRIGHT", self.configFrame, "BOTTOMRIGHT",-50, -70)
    --self.configListFrame:SetBackgroundColor(1,0,0,0.5)

    -- Create a mask for the table of list names
    self.configListNamesMask = UI.CreateFrame("SimpleScrollView", "SSK_ConfigListNamesMask", self.configListFrame)
    self.configListNamesMask:SetPoint("TOPLEFT", self.configListFrame, "TOPLEFT")
    self.configListNamesMask:SetPoint("BOTTOMRIGHT", self.configListFrame, "BOTTOMCENTER")
    self.configListNamesMask:SetBackgroundColor(0, 0, 0, 1)

    -- Create a frame to hold the table of list names
    self.configListNamesFrame = UI.CreateFrame("SimpleList", "SSK_ConfigListNamesFrame", self.configListNamesMask)
    self.configListNamesMask:SetContent(self.configListNamesFrame)
    self.configListNamesMask:SetScrollInterval(20)
    function self.configListNamesFrame.Event:ItemSelect(item)
        SimpleSK.configSelectedListName = item
        SimpleSK:ConfigViewListClick()
    end

    -- Create a frame to hold the table of buttons
    self.configButtonFrame = UI.CreateFrame("Frame", "SSK_ConfigButtonFrame", self.configListFrame)
    self.configButtonFrame:SetPoint("TOPRIGHT", self.configListFrame, "TOPRIGHT")
    self.configButtonFrame:SetPoint("BOTTOMLEFT", self.configListFrame, "BOTTOMCENTER")
    --self.configButtonFrame:SetBackgroundColor(0,0,1,1)

    -- Add list button
    self.configAddListButton = UI.CreateFrame("RiftButton", "SSK_ConfigAddListButton", self.configButtonFrame)
    self.configAddListButton:SetPoint("TOPRIGHT", self.configButtonFrame, "TOPRIGHT")
    self.configAddListButton:SetText("Add List")
    function self.configAddListButton.Event:LeftPress()
        SimpleSK:ConfigAddListClick()
    end

    -- Copy list button
    self.configCopyListButton = UI.CreateFrame("RiftButton", "SSK_ConfigCopyListButton", self.configAddListButton)
    self.configCopyListButton:SetPoint("TOPRIGHT", self.configAddListButton, "BOTTOMRIGHT")
    self.configCopyListButton:SetText("Copy List")
    function self.configCopyListButton.Event:LeftPress()
        SimpleSK:ConfigCopyListClick()
    end

    -- Rename list button
    self.configRenameListButton = UI.CreateFrame("RiftButton", "SSK_ConfigRenameListButton", self.configCopyListButton)
    self.configRenameListButton:SetPoint("TOPRIGHT", self.configCopyListButton, "BOTTOMRIGHT")
    self.configRenameListButton:SetText("Rename List")
    function self.configRenameListButton.Event:LeftPress()
        SimpleSK:ConfigRenameListClick()
    end

    -- Import list button
    self.configImportListButton = UI.CreateFrame("RiftButton", "SSK_ConfigImportListButton", self.configRenameListButton)
    self.configImportListButton:SetPoint("TOPRIGHT", self.configRenameListButton, "BOTTOMRIGHT")
    self.configImportListButton:SetText("Import List")
    function self.configImportListButton.Event:LeftPress()
        SimpleSK:ConfigImportListClick()
    end

    -- Export list button
    self.configExportListButton = UI.CreateFrame("RiftButton", "SSK_ConfigExportListButton", self.configImportListButton)
    self.configExportListButton:SetPoint("TOPRIGHT", self.configImportListButton, "BOTTOMRIGHT")
    self.configExportListButton:SetText("Export List")
    function self.configExportListButton.Event:LeftPress()
        SimpleSK:ConfigExportListClick()
    end

    -- Export list button
    self.configExportSuicidesButton = UI.CreateFrame("RiftButton", "SSK_ConfigExportSuicidesButton", self.configExportListButton)
    self.configExportSuicidesButton:SetPoint("TOPRIGHT", self.configExportListButton, "BOTTOMRIGHT")
    self.configExportSuicidesButton:SetText("Export Suicides")
    function self.configExportSuicidesButton.Event:LeftPress()
        SimpleSK:ConfigExportSuicidesButtonClick()
    end

    -- Delete list button
    self.configDeleteListButton = UI.CreateFrame("RiftButton", "SSK_ConfigDeleteListButton", self.configExportSuicidesButton)
    self.configDeleteListButton:SetPoint("TOPRIGHT", self.configExportSuicidesButton, "BOTTOMRIGHT")
    self.configDeleteListButton:SetText("Delete List")
    function self.configDeleteListButton.Event:LeftPress()
        SimpleSK:ConfigDeleteListClick()
    end

    self.configFrame:SetVisible(false)
end
