function SimpleSK:CreateBaseImportWindow()
    local buttonWidth = 135
    local layer = self.base:GetLayer() + 200

    -- Create our dialog window
    self.baseTextAreaWindow = UI.CreateFrame("SimpleWindow", "SSK_BaseWindow", SimpleSK.context)

    -- We want the import/export window to appear above the configuration window
    self.baseTextAreaWindow:SetLayer(layer)

    -- Put the dialog in the middle of the screen
    self.baseTextAreaWindow:SetPoint("CENTER", UIParent, "CENTER")

    -- Make the dialog window 3 buttons and some padding wide
    self.baseTextAreaWindow:SetWidth(buttonWidth*3 + 40)
    self.baseTextAreaWindow:SetHeight(551)

    -- Add a close button to the top right corner
    self.baseTextAreaWindow:SetCloseButtonVisible(true)

    -- Clear focus etc.
    function self.baseTextAreaWindow.Event:Close()
        SimpleSK.exportTextField:SetKeyFocus(false)
        SimpleSK.importTextField:SetKeyFocus(false)
    end

    -- Hide the setup window
    SimpleSK.baseTextAreaWindow:SetVisible(false)
end

function SimpleSK:CreateExportFrame()
    -- Create our dialog window
    self.exportFrame = UI.CreateFrame("Frame", "SSK_ExportWindow", self.baseTextAreaWindow)

    -- Put the dialog in the middle of the screen
    self.exportFrame:SetAllPoints(self.baseTextAreaWindow)
    self.exportFrame:SetLayer(self.baseTextAreaWindow:GetLayer() + 5)

    local baseLayer = self.exportFrame:GetLayer()

    -- Create a drop down frame
    self.exportSelectFrame = UI.CreateFrame("SimpleSelect", "SSK_ExportSelectFrame", self.exportFrame)
    self.exportSelectFrame:ResizeToDefault()
    self.exportSelectFrame:SetPoint("CENTER", self.exportFrame, "CENTER", 0, -200)
    self.exportSelectFrame:SetWidth(150)
    self.exportSelectFrame:SetBackgroundColor(0,0,0,1)
    self.exportSelectFrame:SetLayer(baseLayer + 1000)
    function self.exportSelectFrame.Event:ItemSelect(item)
        SimpleSK:ExportSelectType(item)
    end

    -- Add a giant multiline textfield to contain the data
    self.exportTextField = UI.CreateFrame("SimpleTextArea", "SSK_ExportTextField", self.exportFrame)
    self.exportTextField:SetPoint("TOPLEFT", self.exportFrame, "TOPLEFT", 50, 100)
    self.exportTextField:SetPoint("BOTTOMRIGHT", self.exportFrame, "BOTTOMRIGHT", -50, -70)
    self.exportTextField:SetBackgroundColor(0, 0, 0, 0.25)
    self.exportTextField:SetLayer(baseLayer + 10)
    self.exportTextField.Event.KeyFocusLoss = function()
        -- Removed because it is really annoying behavior in this case
    end

    -- Add a button that closes the window
    self.exportFrameOkButton = UI.CreateFrame("RiftButton", "OkButton", self.exportFrame)
    self.exportFrameOkButton:SetText("Close")
    self.exportFrameOkButton:SetPoint("BOTTOMRIGHT", self.exportFrame, "BOTTOMRIGHT", -20, -20)
    self.exportFrameOkButton:SetLayer(baseLayer + 10)
    self.exportFrameOkButton.Event.LeftPress = function()
        SimpleSK.exportFrame:SetVisible(false)
        SimpleSK.baseTextAreaWindow:SetVisible(false)
        SimpleSK.exportTextField:SetKeyFocus(false)
    end

    self.exportFrame:SetVisible(false)
end

function SimpleSK:CreateImportFrame()
    -- Create our dialog window
    self.importFrame = UI.CreateFrame("Frame", "SSK_ImportWindow", self.baseTextAreaWindow)

    -- Put the dialog in the middle of the screen
    self.importFrame:SetAllPoints(self.baseTextAreaWindow)
    self.importFrame:SetLayer(self.baseTextAreaWindow:GetLayer() + 5)

    local baseLayer = self.importFrame:GetLayer()

    -- Add a giant multiline textfield to contain the data
    self.importTextField = UI.CreateFrame("SimpleTextArea", "SSK_ImportTextField", self.importFrame)
    self.importTextField:SetPoint("TOPLEFT", self.importFrame, "TOPLEFT", 50, 70)
    self.importTextField:SetPoint("BOTTOMRIGHT", self.importFrame, "BOTTOMRIGHT", -50, -70)
    self.importTextField:SetBackgroundColor(0, 0, 0, 0.25)
    self.importTextField:SetLayer(baseLayer + 10)
    self.importTextField.Event.KeyFocusLoss = function()
        -- Removed because it is really annoying behavior in this case
    end

    -- Add a button that closes the window
    self.importFrameOkButton = UI.CreateFrame("RiftButton", "OkButton", self.importFrame)
    self.importFrameOkButton:SetText("Close")
    self.importFrameOkButton:SetPoint("BOTTOMRIGHT", self.importFrame, "BOTTOMRIGHT", -20, -20)
    self.importFrameOkButton:SetLayer(baseLayer + 10)
    self.importFrameOkButton.Event.LeftPress = function()
        SimpleSK:UpdateListsFromImport(SimpleSK.importTextField:GetText())
        SimpleSK.importTextField:SetKeyFocus(false)
        SimpleSK.importFrame:SetVisible(false)
        SimpleSK.baseTextAreaWindow:SetVisible(false)
        SimpleSK:RefreshAll()
    end

    self.importFrame:SetVisible(false)
end