function SimpleSK:CreateBaseNameWindow()
    self.baseNameWindow = UI.CreateFrame("SimpleWindow", "SSK_BaseNameWindow", self.context)

    -- Put the dialog in the middle of the base window
    self.baseNameWindow:SetPoint("CENTER", self.base, "CENTER")
    self.baseNameWindow:SetTitle("")
    self.baseNameWindow:SetHeight(100)
    self.baseNameWindow:SetLayer(self.base:GetLayer()+1000)

    self.baseNameWindow:SetVisible(false)

end

function SimpleSK:CreateInputFrame()
    self.inputWindow = UI.CreateFrame("Frame", "SSK_InputWindow", self.baseNameWindow)

    -- Anchor the dialog to the baseName frame
    self.inputWindow:SetAllPoints(self.baseNameWindow)
    self.inputWindow:SetLayer(SimpleSK.baseNameWindow:GetLayer() + 5)

    -- Add a textfield to type in the name
    local tfield = UI.CreateFrame("RiftTextfield", "SSK_InputField", self.inputWindow)
    tfield:SetText("")
    self.inputTextField = tfield
    tfield:SetPoint("TOPCENTER", self.inputWindow, "TOPCENTER", 0, 30)
    tfield:SetBackgroundColor(0, 0, 0, 0.25)
    tfield:SetWidth(320)

    function tfield.Event:KeyFocusLoss()
        SimpleSK.inputTextField:SetText("")
        SimpleSK.baseNameWindow:SetVisible(false)
    end

    local okButton = UI.CreateFrame("RiftButton", "SSK_AddListOk", self.inputWindow)
    self.inputOkButton = okButton
    okButton:SetPoint("BOTTOMCENTER", self.inputWindow, "BOTTOMCENTER", 0, -10)
    okButton:SetText("Ok")

    self.inputWindow:SetVisible(false)
end

function SimpleSK:CreateMessageFrame()
    local layer = self.baseNameWindow:GetLayer() + 20

    self.messageFrame = UI.CreateFrame("Frame", "SSK_MessageFrame", self.baseNameWindow)
    self.messageFrame:SetAllPoints(self.baseNameWindow)
    self.messageFrame:SetLayer(layer)
    --self.messageFrame:SetBackgroundColor(1, 0, 0, 0.5)


    self.messageText = UI.CreateFrame("Text", "SSK_MessageText", self.messageFrame)
    self.messageText:SetPoint("CENTER", self.messageFrame, "CENTER")
    --self.messageText:SetBackgroundColor(0, 0, 1, 0.5)
    self.messageText:SetLayer(layer)

    -- Create buttons
    self.messageNoButton = UI.CreateFrame("RiftButton", "SSK_MessageNoButton", self.messageFrame)
    self.messageNoButton:SetPoint("BOTTOMRIGHT", self.messageFrame, "BOTTOMRIGHT", -15, -3)
    self.messageNoButton:SetLayer(layer)

    self.messageYesButton = UI.CreateFrame("RiftButton", "SSK_MessageYesButton", self.messageFrame)
    self.messageYesButton:SetPoint("BOTTOMRIGHT", self.messageNoButton, "BOTTOMLEFT", 0, 0)
    self.messageYesButton:SetLayer(layer)

end